2.9.4.0
-------

DEUTSCH
-------

- Neu: Voraussetzung für die Ausführung ist .NET 4.8 
- Neu: Unterstützung von Windows Server 2025 und die neuesten Windows 11-Versionen
- Änderung: Es werden zusätzlich zu den bisherigen .cab-Dateien noch die .psf- und .wim-Dateien heruntergela- den. Bei der Auswahl und Installation von Updates werden diese 
  automatisch berücksichtigt.
- Änderung: Statt eines bootbaren USB-Sticks wird nun eine externe Festplatte erwartet. Diese wird automatisch in zwei Partitionen unterteilt – die erste nimmt 200 MB ein 
  (FAT32), die zweite (NTFS) das gesamte restliche Volumen.
- Bugfix: Diverse kleinere Korrekturen (z. B. richtige Anzeige von Icons in der Sprungliste, etc.)

ENGLISH
-------

- New: .NET 4.8 is a prerequisite for execution
- New: Support for Windows Server 2025 and the latest Windows 11 versions
- Change: In addition to the previous .cab files, the .psf and .wim files will also be downloaded. These are automatically taken into account when selecting and installing 
  updates.
- Change: Instead of a bootable USB stick, an external hard disk is now expected. This is automatically divided into two partitions - the first takes up 200 MB (FAT32), the   
  second (NTFS) the entire remaining volume.
- Bugfix: Various minor corrections (e.g. correct display of icons in the jump list, etc.)

2.9.0.0 BETA
------------

DEUTSCH
-------

- Neu: Unterstützung Windows 10 21H1, Windows 11, Windows Server 2016, Windows Server 2019 und Windows Server 2022
- Neu: Setup.exe ruft GWC.exe für Setup auf
- Neu: Eingliederung Hilfe in Aufgabenbaum
- Neu: Anlegen und Verwalten von Favoriten
- Neu: Erkennung und Auswahl von Windows Server 2019, Windows Server 2022 und Windows 11
- Neu: Ermittelte Produkte auffrischen
- Neu: Proportionale Anpassung der Fensterhöhe mit einem Skalierungsfaktor
- Neu: Hybridsuche (Online- und anschließend Offlinesuche) für alle Bereiche (Suche, Download, Bereinigung, Bericht)
- Neu: Der Hybridmodus ist jetzt Standard und wird über das Update automatisch gesetzt
- Neu: WSUS: Ermitteln von Einträge nach Produkten (z. B. Windows 8 und Windows 8.1) und Produktgruppen (z. B. Windows und Visual Studio)
- Neu: Komplettes Handbuch in englischer Sprache
- Änderung: Setup wurde wegen Auswahl Skalierung um einen weiteren Schritt ergänzt (statt zwei jetzt drei)
- Änderung: Bei der Installation auf Serversystemem werden die Pakete nicht mehr im Temp-Verzeichnisd angelegt, sondern unter Appdata
- Änderung: Deaktivierung automatische Offline-Suche bei Erkennung von Windows 10
- Änderung: Hinweistext Offline-Suche auf ganz Windows 10 angepasst (und nicht mehr ausschließlich auf Windows 10 1709)
- Änderung: WSUS: Überprüfung, ob numerischer bzw. alphanumerischert Wert eingeben wurde (KBNummer bzw. UpdateID)

ENGLISH
-------

- New: Support of Windows 10 21H1, Windows 11, Windows Server 2016, Windows Server 2019 and Windows Server 2022
- New: Setup.exe calls GWC.exe for setup
- New: Inclusion of help in task tree
- New: Create and manage favorites
- New: Detection and selection of Windows Server 2019, Windows Server 2022 and Windows 11
- New: Refresh detected products
- New: Proportional adjustment of window height with a scaling factor
- New: Hybrid search (online and then offline search) for all areas (search, download, cleanup, report)
- New: Hybrid mode is now default and will be set automatically via update
- New: WSUS: Determine entries by products (e.g. Windows 8 and Windows 8.1) and product groups (e.g. Windows and Visual Studio)
- New: Complete manual in English language
- Change: Setup has been extended by another step due to selection scaling (instead of two now three)
- Change: When installing on server systems, the packages are no longer created in the Temp directoryd but under Appdata
- Change: Disable automatic offline search when Windows 10 is detected
- Change: Note text offline search adapted to whole Windows 10 (and no longer exclusively to Windows 10 1709)
- Change: WSUS: Check if numeric or alphanumeric value was entered (KBNumber or UpdateID)


2.8.0.1
-------

ENGLISH
--------
- Fix: During the integration of Windows Updates the buttons "Next" and "Back" were not enabled after an error message
- Fix: On Windows 10 1709 (Fall Creators Update) the error message "Exception of HRESULT: 0x80240007 - The index to a collection was invalid." was always thrown
- Fix: While repeating editing a Windows Image the path was shown twice in the header
- Fix: While integrating updates the mount folder was only shown in the header when the process was repeated
- Fix: While integrating updates on Windows 10 in combination with a .wim file the task "I would like to convert an .esd file" was selected by default
- Fix: When querying an update from the WSUS server for the KB number the display of the current operation was not updated


DEUTSCH
-------
- Fix: Bei der Integration von Windowsupdates wurden die Schaltflächen "Weiter" und "Zurück" nicht nach einer Fehlermeldung aktiviert
- Fix: Unter Windows 10 1709 (Fall Creators Update) wurde stets die Fehlermeldung "Ausnahme von HRESULT: 0x80240007 - The index to a collection was invalid." geworfen
- Fix: Bei der Wiederholung der Bearbeitung eines Windows Images wurde der Pfad doppelt im Kopf angezeigt
- Fix: Bei der Integration von Updates wurde erst bei der Wiederholung der Integration das Mountverzeichnis im Kopf angezeigt
- Fix: Bei der Integration von Updates wurde unter Windows 10 in Verbindung mit einer .wim-Datei die Aufgabe ".esd-Datei konvertieren" standarsmäßig ausgewählt
- Fix: Bei der Abfrage eines Updates vom WSUS-Server nach der KB-Nummer wurde der Anzeige des laufenden Vorgangs nicht aktualisiert

2.8.0.0
-------
Änderungen gegenüber Version 2.7.3

Allgemein
- Neue grafische Oberfläche (alle Aufgaben befinden sich in einem Menübaum, teilweise neue Dialoggestaltung)
- Identischer Aufbau von Dialogen für ähnliche Funktionen (Integration Updates Windows und Office)
- Abschaffung Express-Modus (es gibt nur noch den ehemaligen Expertenmodus)
- Setup ist in GWC.exe integriert (kein eigentständige Setup.exe mehr vorhanden)
- Code ist für bestehende Funktionen teilweise komplett neu geschrieben worden
- Interner Umbau Code (wartbarkeit erhöht für zukünftige Entwicklungen)

Windows Update Agent
- Automatische Speicherung der Parameter für Windows Updates (Verwaltungsdialog nicht mehr notwendig)
- Neue Updates ausschließen auf Basis KB-Nummer (Auswahl anhand Updatetitel)
- Ausblenden / Einblenden von Updates mittels Windows Update Agent
- Erfassung von Updates, die nicht über Windows Update geliefert werden
- Windows Update Einstellungen können gesetzt werden (Benachrichtigung, Deaktivierung, etc.)
- Einführung von Sequenzen (Installation in einer ganz bestimmten Reihenfolge)
- Vorgabe Suchbegriff und Verzeichnis für die Integration von Windows Updates jetzt frei wählbar (Cross-Plattform)
- Windows Images im .esd-Format können bearbeitet werden
- Deaktivierung der Benutzerkontensteuerung für Zeit der Installation von Updates
- Integration von Updates: Die Quelle kann auch ein Verzeichnis sein

Windows Server Update Services
- Extraktion von Updates über KB-Nummer, UpdateID und Computer funktioniert auch ab Windows Server 2008
- Verwendung Windows Update Agent-Funktionen auf einem WSUS-Server ohne Einschränkung verwendbar (siehe oben)




Änderungen gegenüber letzter Beta:
- Bugfixing
- Kleine Änderungen an der Oberfläche

2.7.6.12 (BETA)
---------------

- Bugfixing
- Kleine Änderungen an der Oberfläche

2.7.5.33 (BETA)
---------------

- Neue grafische Oberfläche
- Windows Update Einstellungen können gesetzt werden (Benachrichtigung, Deaktivierung, etc.)
- Neue Updates ausschließen auf Basis KB-Nummer (Auswahl anhand Updatetitel)
- Automatische Speicherung der Parameter für Windows Updates (Verwaltungsdialog nicht mehr notwendig)
- Erfassung von Updates, die nicht über Windows Update geliefert werden
- Vorgabe Suchbegriff und Verzeichnis für die Integration von Windows Updates jetzt frei wählbar (Cross-Plattform)
- Deaktivierung der Benutzerkontensteuerung für Zeit der Installation von Updates
- Ausblenden / Einblenden von Updates mittels Windows Update Agent
- Einführung von Sequenzen (Installation in einer ganz bestimmten Reihenfolge)
- Integration von Updates: Die Quelle kann auch ein Verzeichnis sein
- Integration von Updates: Verarbeitung von .esd-Dateien möglich
- Abschaffung Express-Modus

2.7.3.0
-------

- Berücksichtung Änderung Microsoft an Produktkategorien für Windows 10

2.7.2.0
-------

- Behebung Fehler bei der Installation unter Windows 8.1 Update 1 64bit

2.7.1.0
-------

- Unterstützung Windows 10


2.7.0.0
-------

- International GUI
- Installation from Network
- Integration of drivers into images
- Checking validity of files
- Bootable USB-Sticks including UEFI-support
- More file types for installation on target computers (.bat, .reg, .vbs and .ps1) and Microsoft FixIt
- Minor GUI changes
- Small bug fixes


- Internationalisierung eingeführt
- Netzwerkinstallation eingeführt
- Integration von Treibern in Images
- Gültigkeitsprüfung für heruntergeladene Dateien eingeführt
- Ermittlung von fehlenden Updates auf Netzwerkcomputern
- Erstellung von bootbaren USB-Sticks inkl. UEFI-Unterstützung (ab Windows Vista)
- Unterstützung von neuen Dateiendungen bei der Installation (.bat, .reg, .vbs und .ps1) sowie Microsoft FixIt
- Verbesserung exklusive Installationen
- Eigene Updates können leichter vor dem automatischen Löschen geschützt werden
- Anpassungen im persönlichen Archiv und in den Einstellungen (sprachlich, Reihenfolge)
- Erweiterung Protokollierung
- Namenskonvention der Backupdatei angepasst
- Kleine Anpassung der Kopierendialoge für fehlende Updates
- Behebung kleinerer Fehler

2.6.5.1
--------

- Fehlerbehung bei der Integration von Updates mit dem Windows ADK für Windows 8.1

2.6.5.0 
--------

- Unterstützung von Windows 8.1 und Server 2012 R2
- Integration in die Systemsteuerung
- Möglichkeit zur Erstellung einer Office-DVD inkl. Updates (ab Office 2007)
- Zu Beginn einer Installation kann auf Wunsch ein Wiederherstellungspunkt angelegt werden
- Abbruch während einer Installation stoppt gezielter das laufende Update
- Beim Kopieren kann durch Eingabe von Suchbegriffen gezielter eine Auswahl getroffen werden
- Möglichkeit Dateien aus dem persönlichen Archiv ohne Installation zu kopieren
- Performanceoptimierung durch Bereinigung Updatedatei von nicht verwendeten Einträgen
- Steigerung Performance durch Verwendung von LINQ
- Zusammenfassung Codestruktur
- Entfernung einiger konfigurierbarer Einstellungen; bisherige Vorschlagswerte sind jetzt Standard und nicht mehr änderbar
- Übernahme / ZUrücknehmen von Einträgen in verschiedenen Dialogen mit F5 bis F8 möglich
- Kleine Änderungen in Dialogen
- Entfernung alter, Einbindung neuer Bibliotheken
- Bugfixes und sprachliche Anpassungen
- Entfernung Funktion "Zusatzinformationen anzeigen"


2.6.0.2
--------

- Auf Nicht-deutschen-Systemen konnte die Installation nicht gestartet werden

2.6.0.1 
--------

- Anpassung Parameterkombination bei der Installation von .msu-Dateien
- Fehlerbehandlung in bestimmten Fällen verbessert
 
2.6.0.0 
--------

- Unterstützung von Windows 8 und Windows Server 2012
- Umstellung auf .NET-Framework 4.0
- Völlige Neuentwicklung der Installationsroutine auf den Zielsystemen
- Download von Treibern, die über Windows Update verteilt werden
- Vorgabe Vorschlagswerte von Installationsparametern und Betriebssystem
- Automatische Erfassung der Updates von Schwestersystemen (Windows 7 64bit / Windows Server 2008 R2, etc.)
- Umstellung Quellcode von synchronem auf asynchrones Konzept
- Umstellung auf interne Downloadroutine
- Entfernung CD-Unterstützung, stattdessen USB-Stick
- Nutzung von Jumplists
- Umstellung von externer Entpackroutine für .cab-Dateien auf interne Bibliothek
- Getrennte Installation des .NET-Frameworks von anderen Updates
- Veränderte Logik zur Behandlung von Definition Updates, etc.
- Kleinerer Fehler bei der Auswahl der fehlenden Updates behoben
- Zügigeres Laden von Dialogen
- Fehlerbehebung

2.4.5.8 BETA
------------

- Kleine Korrekturen (Rechtschreibfehler, etc.)
- Beschränkung des Updateinformationsdialogs auf die wichtigsten Informationen und somit
  Verkleinerung des Dialogs
- Verschiebung der Updates "Windows Search 4" und "Windows Genuine Advantage Notifications"
  in die Exclude-Liste und somit keine Installation dieser Dateien
- In dem Dialog zur temporären Verbindung mit einem WSUS-Server wurde bei einem Fehler
  der Dialog ggf. nicht wieder angezeigt

2.4.5.7 BETA
------------

- Die Option "Immer Updates aus dem aktuellen Monat zur Installation anbieten" führte
  je nach Betriebssystem evtl. zu keinem Anzeigeergebnis


2.4.5.6 BETA
------------

- Kleine Änderungen des Startverhaltens beim Setup unter Windows 7
- Beseitigung eines kleinen Fehler beim Setup, bei dem ein Formular nicht beim 
  Portable-Setup geschlossen wurde
- Es kann beim Setup gewählt werden, ob GWC mit der Tastenkombination STRg+G gestartet
  werden kann

2.4.5.5 BETA
------------

- Kleine Veränderungen am Verhalten der Steuerelemente im Integrationsdialog.
- Anpassungen von Links an Windows 7.

2.4.5.4 BETA
------------

- Kleine Änderungen am Layout in den Dialogen, damit diese noch logischer aufgebaut sind.
- Unter bestimmten Umständen wurde statt der Upadateinformationen eine Fehlermeldung ausgegeben.

2.4.5.3 BETA
------------

- Die Anzeige von Updates mit eine KB-Nummer von mehr als 6 Zeichen wurden nicht angezeigt.
- KB-Nummern mit einer Zeichenlänge von mehr als sechs Zeichen konnten nicht vom WSUS kopiert 
  werden.
- Beim Löschen veralteter Dateien wurden Office-Updates trotz Notwendigkeit zum Löschen
  angezeigt.
- Überarbeitung der Portable-Version; diese ist auch nun für Benutzer eines WSUS
  verfügbar.

2.4.5.2 BETA
------------

- Diverse kleine Änderungen

2.4.5.1 BETA
----------

- Ergänzung um Windows OPK
- Kleine optische Änderungen 

2.4.4.9 BETA
------------

- Kleinere Änderungen an der Handhabung

2.4.4.8 BETA
------------

- Integration von Updates in Images für Windows Vista / Server 2008 / 7 / Server 2008 R2
- Behebung eines Fehlers, der die Installation von Updates unter Windows Server 2008 R2 
  verhinderte.

2.4.4.7 BETA
------------

- Herstellung einer manuellen Verbindung zu einem WSUS-Server hinzugefügt

2.4.4.6 BETA
------------

- Rückwärtssuche der Dateien aus dem WSUS-Content-Ordner

2.4.4.5 BETA
------------

- Kleine Änderungen in der Dialoganzeige bei der Verwendung eines WSUS-Servers.
- Vollzugriff auf Dateien des WSUS-Servers sind möglich.

2.4.4.4 BETA
------------

- Umstellung der Taskbaranzeige unter Windows 7


2.4.4 BETA
----------

- Inventar des Updateverzeichnisses kann angezeigt werden
- Updateverzeichnis kann um Dateien bereinigt werden, die vom Windows Update Agent als nicht
  wichtig erachtet werden.

2.4.3 BETA
----------

- Vollständige Umstellung in der Registrierung auf HKLM
- Die gesamten Funktionen sind ausschließlich für Administratoren zugängig.
- GWC findet und bearbeitet Updates in 235 Sprachen (je nach System können es mehr sein).
- Unterstützung für Windows Server 2008 R2 / Windows Home Server
- Nutzung einiger Tasbkbarneuerungen unter Windows 7
- Bei der Verwendung in Verbindung mit einem WSUS-Server wurde der Kopieren-Dialog nicht 
  mehr angezeigt.
- Der Dialog für die Updateverwaltung wurde verkleinert.
- Verbesserte Übernahme eines alten Update-Datenbestandes.
- Diverse kleine Änderungen an der Oberfläche
 


2.4.2
-----

- Korrektur eines Zeilenumbruchs, den Microsoft (vermutlich) unbewusst verwendet.

2.4.1
-----

- Schönheitsfehler im Verwaltungsdialog behoben.
- Schönheitsfehler im Downloaddialog behoben.
- Fehler bei der installation von Office-Updates behoben.

2.3.9.8 BETA
------------

- Kleinere Schönheitsfehler behoben.

2.3.9.7 BETA
------------

- Fehler unter 64bit-Systemen behoben, der die Installation der Updates verhinderte.
- Kleinere Änderungen an dem Verwaltungsdialog.
- Kleinere Änderungen an dem Updateinformationsdialog.
- Weitere kleine Änderungen an Dialogen.
- Aktualisierung der Anleitung.
- Automatische Erkennung des aktuellen Betriebssystems in der Verwaltung entfernt. Somit
  besteht mehr Kontrolle und die Fehleranfälligkeit wurde gesenkt.

2.3.9.6 BETA
------------

- Auswahl eines Computer vom WSUS-Server und kopieren der diesem zugeordneten Dateien wieder
  hinzugefügt.
- In den Auswahldialogen können nun Updates mehrfach ausgewählt / auf die rechte Seite 
  übertragen werden. 
- In bestimmten Situationen wurden die Updates von entfernten Rechnern nicht angezeigt.
- Ebenfalls können mehrfach Dateien von der Auswahl wieder zurückgenommen werden.
- Kleinere Überarbeitung des Updateinformationsdialogs.
- Windows Search wurde zur Exclude-Datei hinzugefügt.
- Kleiner Fehler unter Windows Vista / Windows 7 / Server 2008 in der 64bit-Version behoben.

2.3.9.5 BETA
------------

- Der Dialog zum Auswählen der einzelnen Updates wurde nicht korrekt angezeigt.
- Die Updateinformationen können nun auch absteigend nach Datum angezeigt werden. Dabei werden
  die neuesten Dateien als erstes angezeigt.
- Updateinformationen werden nach Datum sortiert angezeigt. Die neuesten Updates stehen 
  jeweils oben.
- Die Identifikation des Computers in den Einstellungen wurde wieder entfernt, da sie nicht 
  mehr nötig ist.
- Teilweise neue Strukturierung von Dialogen.
- Kleine Änderungen bei der Anzeige von Dialogen und Verbesserung der Darstellung.
- Neue Funktion: Anzeige von Informationen von entfernten Computern (Betriebssystem, Version,
  Service Pack, Betriebssystemarchitektur und Prozessor).

2.3.9.4 BETA
------------

- Informationen und Updates von Netzwerkcomputern werden angezeigt.

2.3.9.3 BETA
------------

- Beim Setup erscheint eine Abfrage, ob der Express- oder Expertenmodus gewünscht wird. In
  Verbindung mit dem Windows Update Agent wird somit die automatische Auswahl im Hauptdialog
  festgelegt (Startauswahl).

2.3.9.2 BETA
------------

- Die Startauswahl beim ersten Start ist wieder auf "Updates suchen" eingestellt. Die Einstellung
  lässt sich in den Optionen entsprechend ändern.

2.3.9 BETA
----------

- Check.exe wird nun als Setup.exe geführt und ruft bei vorliegen aller Voraussetzungen 
  Setup2.exe auf.
- Updateinformationen hinzugefügt. Zu jedem für den Computer verfügbaren Update werden die
  wichtigsten Informationen angezeigt.
- Eine Übersicht der KB-Nummer, des Titels und der Beschreibung aller Updates ist möglich.
- Übernahme des Update-Datenbestandes einer anderen Version hinzugefügt.
- Nicht gewünschte Dateien lassen sich in der Verwaltung nun so ausschließen, dass sie in
  den Dialogen nicht mehr zum Installieren angeboten werden.
- Beschreibung fehlender Updates werden korrekt angezeigt.
- Unterstützung für 64bit.
- Bestimmte Voreinstellungen beim Setup verändert. So ist z.B. die Installation von der 
  Festplatte voreingestellt.
- Die im aktuellen Monat veröffentlichten Updates können nun im Bericht angezeigt werden.

2.3.8 BETA
----------

- Wird GWC auf einem Client ausgeführt, so kann wahlweise Windows Update als Quelle 
  verwendet werden. Wenn gleichzeitig ein WSUS-Server im Netzwerk verfügbar ist, wird dann
  statt des WSUS-Servers Windows Update als Quelle verwendet.
- Änderung von Setup.exe: Es wird zunächst geprüft, ob alle erforderlichen Komponenten für
  die Ausführung vorhanden sind. Trifft dies nicht zu, werden sie installiert und anschließend
  startet in allen Fällen das eigentliche Setup.
- Unter Windows Vista, Server 2008 und Windows 7 wird die Überprüfung übergangen, da das
  .NET Framework 2 bereits ab Werk in den Betriebssystemen integriert ist.
- Update.exe weist darauf hin, wenn Get WSUS Content .NET bei einem Update noch ausgeführt
  wird.
- Es trat ein Fehler bei der Installation unter Windows 7 auf, bei der nach der erfolgreichen
  Installation der Updates ein Protokoll zwei mal gelöscht werden sollte.
- Verbesserte Fehlerbehandlung der Brennfunktion.
- Zusatzinformation für WSUS-Benutzer hinzugefügt. Die Auswahl von verschiedenen Dateien zeigt
  nun die UpdateIDs zu jedem einzelnen Update an.

2.3.7 BETA
----------

- Check.exe überprüft grundlegende Voraussetzung für die korrekte Ausführung von Get WSUS Content .NET
  (Prüfung auf .NET-Framework 2 und Windows Installer 3.1 bzw. 4.5)
- Die Datei "Bericht.csv" wird nicht mehr gelöscht, da sie Informationen für den Offline-Scan 
  enthält.


2.3.6 BETA
----------

- Überarbeitung Installer.exe: Der Aufruf des Programms erfolgt unter 
  Windows Vista / 7 / 2008 einheitlich.
- Fehler bei der Erstellung der Installationsskript behoben. Es wurden Dateien mehrfach
  kopiert und jeweils überschrieben, obwohl sie nur einmal benötigt werden.
- Heuristische Erkennung von Updates unter Windows 2000 / XP / 2003 wird jetzt ebenfalls
  in der Verwaltung angewendet, wenn die Updates manuell zum Herunterladen ausgewählt
  werden.
- cdburn.exe / dvdburn.exe aus den Windows Server 2003 Resource Kit Tools hinzugefügt.


2.3.5 BETA
----------

- Der Internet Explorer 6 wird immer in das .iso-Image kopiert. Er wird aber nur unter
  Windows 2000 und Windows XP installiert.
- Vista-Sprachpakete wurden in die Exclude-Liste aufgenommen. Bei der Erstellung des 
  .iso-Image bzw. bei der Verknüpfung auf dem Desktop sind sie nicht notwendig.


2.3.4 BETA
----------

- Fehler in Updates.csv behoben. Vista-Updates, die mehrfach eingetragen waren, wurden 
  entsprechend mehrfach ausgeführt und führten zu einem Zugriffsfehler.
- Die Funktion "Automatisch Installationsmedium erzeugen" ist nun die voreingestellte 
  Funktion beim Start des Programms.
- Ein Fehler in der Erkennung des Betriebssystems wurde bei der automatischen Erzeugung des 
  Installationsmediums behoben. Es werden nun alle Updates korrekt zu einem Medium 
  zusammengefasst.

2.3.3 BETA
----------

- Kleine Änderungen an der Deinstallationsroutine vorgenommen.
- Kleinen Fehler in den Auswahldialogen behoben, bei dem alle Dateien stets übernommen
  wurden und so jede Datei mehrfach zum Kopieren vorgesehen war.
- Neue Funktion "Automatisch Installationsmedium erzeugen". Der Rechner wird automatisch mit
  dem Windows Update Agent gescannt und fehlende Dateien werden heruntergeladen. Anschließened 
  wird eine CD / DVD zur Installation erstellt. Diese CD / DVD enthält alle bisher 
  erschienen Updates speziell für den gescannten Rechner. Anschließend wird eine 
  Verknüpfung auf dem Desktop angelegt, mit der die noch fehlenden Updates installiert 
  werden können.
- Aktualisierte Updates.csv (Stand Juni 2009).
- Heuristische Erkennung von Updates unter Windows 2000 / XP / 2003: Updates, die 
  "Windows2000", "WindowsXP" oder "Windows2003" im Dateinamen tragen, werden automatisch
  erfasst. Alle anderen Updates müssen weiterhin in der Verwaltung erfasst werden.
  
2.3.2
-----

- Verbesserte Entfernung von angelegten Informationen (Registry und Dateien) in der 
  Portable-Version.
- Windows-Defender-Updates werden gesondert als "Sonstige" erfasst.
- Fehlerhafte Erkennung von Windows Vista-Updates und Windows Server 2008 behoben.

2.3.1
-----

- Weitere Protokollierung von Informationen, z.B. welche Updates heruntergeladen wurden.
- Unbehandelte Ausnahme in der Portable-Version behoben.

2.3 BETA
--------

- Die maximale Größe eines Updates wird in Verbindung mit dem Windows Update Agent angezeigt
  und das zu übertragende Volumen wird errechnet.
- Formulierung von zwei Einstellungen geändert. Die jeweilige Funktion wird somit jetzt klarer.
- Die jeweiligen Info-Dateien die angelegt werden, können auf einem anderen Rechner geladen werden
  und dort können die Updates heruntergeladen werden.
- Auf dem PC fehlende Updates können nun zur Installation ausgewählt werden, wenn die Dateien
  im Archiv vorliegen.
- Nach dem Speichern eines Datensatzes in der Verwaltung werden die Einstellungen 
  automatisch eingetragen.
- Kleinerer Fehler in Update.exe behoben. Die Datei Updates.csv wurde nicht im persönlichen
  Archiv ersetzt.
- Erkennung von fehlenden Office-Updates verbessert.
- Internet Explorer 8 beim Herunterladen entfernt, da dieser jetzt über Windows Update 
  erhältlich ist.
- Einstellungen wurden nicht korrekt in Verbindung mit der Portable-Version gespeichert.
- Diverse kleine Verbesserungen in der Bedienung.
- WSUS Benutzer konnten nach dem Hinweis auf eine fehlerhafte Auswahl zu kopierender Dateien
  nicht mehr zum Programm zurückkehren.
- Kleiner Anzeigefehler und Windows Server 2008 beseitigt.

2.2.0.12 Beta
-------------

- Automatische Erfassung der Updates von Windows Vista, Windows Server 2008, Windows 7 und
  Windows Defender.

2.2.0.11 Beta
-------------

- Anpassungen bei der Fortsetzung der Updateinstallation unter Windows 7.

2.2.0.10 Beta
-------------

- Kleine Fehler unter Windows 2000 (Professional, Server) behoben.

2.2.0.10 Beta
-------------

- Fehler beseitigt, wenn das Programm von einem eingeschränkten Konto ausgeführt wird.
- Die Einstellungen werden nun per Voreinstellung immer exportiert.

2.2.0.9 Beta
------------

- Kleine Schönheitsfehler beseitigt.

2.2.0.8 Beta
------------

- Protokollierung der Installation in der Ereignisanzeige.

2.2.0.7 Beta
------------

- Kleine Fehlerbehebung bei der Portable-Version.

2.2.0.6 Beta
------------

- Zusammenführung der unterschiedlichen Installer zu einem Installationsprogramm.
- Internet Explorer 7 DOwnload beim Setup gegen den Internet Explorer 8 ersetzt, da der 
  Internet Explorer 7 über Windows Update erhältlich ist.

2.2.0.3 Beta
------------

- Entscheidungsmöglichkeit hinzugefügt, ob der Bericht per Voreinstellung nur die fehlenden
  Updates anzeigt oder alle.
- Setup weist auf eine fehlende Internetverbindung hin
- Setup lädt den aktuellen Windows Update Agent herunter. Sofern Setup erkennt, dass dieser
  nicht installiert ist, kann auf Wunsch des Benutzers die Installation erfolgen.

2.2.0.2 Beta
------------

- Unterstützung der Serversysteme Windows Server 2000, Windows Server 2003 und 
  Windows Server 2008.
- unterstützung für WSUS 2 entfernt, da WSUS ab April 2009 nicht mehr von MS 
  unterstützt wird
- WSUS-Benutzer können nun entscheiden, ob sie die extrahierten Updates als Medium erstellen
  lassen oder von der Festplatte installieren wollen. Die Installation von der Festplatte
  ist dann nur auf dem Rechner möglich, auf dem der WSUS-Server installiert ist.

2.2.0.0 Final
-------------

- Diverse Kleinigkeiten wurden korrigiert (unter anderem zusätzliche Informationen oder 
  Erklärungen, Korrektur von Rechtschreibfehlern, etc.)
  

2.2.0.0 Beta 1.5
----------------

- Fehler bei der Suche nach einzelnen Updates behoben, der zu einer unbehandelten Ausnahme
  führte.
- Unter Vista und Windows 7 wurde fälschlicherweise statt der IPv4-Adresse die 
  Ipv6-Adresse angezeigt.

2.2.0.0 Beta 1.4
----------------

- Optionen sind nun auch für GWC-Portable verfügbar.
- wsus 3-Anwender können für den Download die Funktion "Dateiinformationen" verwenden.
- Bericht über die installierten Updates auf dem Computer hinzugefügt.
- Sofern Excel auf dem Rechner installiert ist, wird die Datei formatiert dargestellt.
- Verbesserung der Protokollierung in der Ereignisanzeige.

2.2.0.0 Beta 1.3
----------------

- Es trat eine unbehandelte Ausnahme auf, wenn nach dem Download vom WSUS-Server die Updates
  erfasst werden sollten.

2.2.0.0 Beta 1.2
----------------

- Diverse kleine Änderungen

2.2.0.0 Beta 1.1
----------------

- Updates mit der Dateiendung .cab wurden unter Windows 7 entpackt.
- Zehn weitere Sprachen hinzugefügt.

2.2.0.0 Beta 1
--------------

- Vollständige Umstellung auf den Windows Update Agent. Der MBSA ist nicht mehr notwendig.
- Unterstützung für Windows 7
- Für Benutzer, die keinen WSUS-Server im Einsatz haben, können nun ebenfalls die KB-Nummer
  eingeben und die gefundenen Updates herunterladen.
- Überarbeitete Dialoge.
- Protokollierung erfolgt nun in der Ereignisanzeige.
- Änderungem im Quellcode zur einfacheren Anpassung von neuen Gegebenheiten.
- Funtkion "Updates eine bestimmten Computers extrahieren" entfallen. Das Scannen erfolgt
  nun durch den Windows Update Agent.
- Setup lädt benötigte Komponenten nun nach %temp% herunter.
- Update.exe weist auf das Vorhandensein von "Updates.csv" hin und fragt nach, ob die Datei
  im Updateordner überschrieben werden soll
- Auf Wunsch werden nun nur die noch fehlenden Updates zum Download angeboten.
- Die Anzahl der noch fehlenden Updates wird dabei ebenfalls angezeigt.
- Die Art (Service Pack, Vorbereitung, Update) des einzelnen Updates wird erfasst. Es ist
  "Update" voreingestellt.
- Das Betriebssystem wird automatisch erkannt und zur Auswahl angeboten.
- Weitere Sprachen hinzugefügt.


2.0.0.30 Beta
-------------

- Einstellungen können exportiert werden. Diese können für andere Benutzer des gleichen
  Computers einfach eingelesen werden und das Programm ist einsatzbereit. Dabei muss aber
  auf die passende Schreibrechte geachtet werden.

- Es können wahlweise nur die Updates angezeigt und verarbeitet werden, 
  die im aktuellen Monat erschienen sind. Damit bleibt das Medium jeweils klein.

- Die Updates können nun direkt von Festplatte installiert werden. 
  Es erscheint auf dem Desktop ein Link.

- Es können gleichzeitig mehrere Betriebssysteme und 
  andere Software aktuell gehalten werden. Get WSUS Content .NET fasst 
  alle auf dem Medium / der Festplatte zusammen und erkennt 
  bei der Installation, um welches System es sich handelt. 
  Es werden dann automatisch alle Updates passend zum System und der Sprache installiert.

- Get WSUS Content .NET unterstützt mehrere Sprachen (Deutsch und Englisch). 
  D.h., es können Systeme in diesen Sprachen gescannt und Updates installiert werden.

- Get WSUS Content .NET kann auf einem USB-Stick eingerichtet werden und 
  somit verschiedene Rechner gescannt werden.

- Es gibt eine Deinstallationsroutine, die eine Installation von Get WSUS Content .NET 
  von der Festplatte entfernt.

- Diverse kleinere Korrekturen

2.0.0.04 Beta
-------------

- Portable Version hinzugefügt. GWC kann nun vom USB Stick gestartet werden 
  (nur in Verbindung mit Microsoft Baseline Security Analyzer)